We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 3718 - Extend Editor/Author review workflow to include multiple Supplementary File versions
Extend Editor/Author review workflow to include multiple Supplementary File v...
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: Authors
2.4.x
PC Mac OS X 10.0
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 15:05 PDT by James MacGregor
Modified: 2013-03-25 11:54 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2008-07-30 15:05:58 PDT
Authors can upload additional supplementary files while a submission is under review by visiting the submission's Summary page, which is fine. 

However, if an author is asked to make revisions to their supplementary file(s) in addition to any manuscript edits, they have to visit two different pages to accomplish these actions: the submission's Summary page for the supplementary file as above; and the submission's Review page for the revised manuscript. 

Moreover, from what I can see there's no decent way to track revised supplementary files that have been uploaded: the Editor will have to cull any supplementary files as they are uploaded from the Summary page. 

I would suggest moving the supplementary file upload to the Review page (not the best solution), or perhaps mirroring the Editor/Author Version manuscript behaviour that can be found under Editor Decision if the journal allows supplementary files to be used in the review process.
Comment 1 Alec Smecher 2009-06-01 15:24:55 PDT
Deferring.
Comment 2 Alec Smecher 2013-03-25 11:54:03 PDT
Superseded by OMP's multiple file capabilities.